import * as z from 'zod';
// prettier-ignore
export const LabRxTemplateInputSchema = z.object({
    id: z.number().int(),
    userId: z.number().int(),
    name: z.string(),
    labName: z.string().optional().nullable(),
    labPhone: z.string().optional().nullable(),
    labFax: z.string().optional().nullable(),
    labAddress: z.string().optional().nullable(),
    labAccount: z.string().optional().nullable(),
    caseType: z.string().optional().nullable(),
    material: z.string().optional().nullable(),
    instructions: z.string().optional().nullable(),
    sortOrder: z.number().int(),
    createdAt: z.date(),
    updatedAt: z.date(),
    user: z.unknown()
}).strict();

export type LabRxTemplateInputType = z.infer<typeof LabRxTemplateInputSchema>;
